<?xml version="1.0" encoding="utf-8" ?>
<c2eventsheet>
    <!--All the 'name' attributes are ignored by Construct 2 - they are there for readability only.-->
    <name>timer es</name>
    <events>
        <variable constant="0" name="timeCount" sid="656417484694175" static="0" type="number">0</variable>
        <variable constant="0" name="timeCountMax" sid="316646735726083" static="0" type="number">0</variable>
        <variable constant="0" name="timeStatus" sid="961468396996106" static="0" type="number">0</variable>
        <event-group description="" sid="377649918657423" title="time">
            <sub-events>
                <variable constant="1" name="subsractVal" sid="861578263403727" static="1" type="number">4</variable>
                <variable constant="0" name="isPlaiedHurryup" sid="650311457527191" static="1" type="number">0</variable>
                <event-block sid="480882665652087">
                    <conditions>
                        <condition id="-2" name="On start of layout" sid="311276269571519" type="System" />
                    </conditions>
                    <actions>
                        <action id="-9" name="Set value" sid="962786226640553" type="System">
                            <param id="0" name="Variable">timeCount</param>
                            <param id="1" name="Value">timeDuration</param>
                        </action>
                        <action id="-9" name="Set value" sid="899944314685921" type="System">
                            <param id="0" name="Variable">timeCountMax</param>
                            <param id="1" name="Value">timeDuration</param>
                        </action>
                        <action disabled="1" id="0" name="Call function" sid="336044567911413" type="Function">
                            <param id="0" name="Name">&quot;time bar create&quot;</param>
                            <param id="1" name="Parameter {n}"></param>
                        </action>
                        <action id="-9" name="Set value" sid="759716923364293" type="System">
                            <param id="0" name="Variable">timeStatus</param>
                            <param id="1" name="Value">0</param>
                        </action>
                        <action id="-9" name="Set value" sid="158195174046253" type="System">
                            <param id="0" name="Variable">isPlaiedHurryup</param>
                            <param id="1" name="Value">0</param>
                        </action>
                    </actions>
                </event-block>
                <event-block sid="559759577216456">
                    <conditions>
                        <condition id="0" name="On function" sid="557271589787868" type="Function">
                            <param id="0" name="Name">&quot;time bar create&quot;</param>
                        </condition>
                    </conditions>
                    <actions />
                    <sub-events>
                        <event-block sid="961598963311127">
                            <conditions />
                            <actions>
                                <action id="-9" name="Destroy" sid="930990811153980" type="timeClock" />
                                <action id="-9" name="Destroy" sid="176318098942660" type="timeCover" />
                                <action id="-9" name="Destroy" sid="693621154100066" type="timeline" />
                            </actions>
                        </event-block>
                        <event-block sid="427711541676078">
                            <conditions />
                            <actions>
                                <action id="-3" name="Create object" sid="448752766384100" type="System">
                                    <param id="0" name="Object to create">timeCover</param>
                                    <param id="1" name="Layer">&quot;timeBG&quot;</param>
                                    <param id="2" name="X">252</param>
                                    <param id="3" name="Y">54</param>
                                </action>
                                <action id="-3" name="Create object" sid="815740578486209" type="System">
                                    <param id="0" name="Object to create">timeline</param>
                                    <param id="1" name="Layer">&quot;timeline&quot;</param>
                                    <param id="2" name="X">90</param>
                                    <param id="3" name="Y">55</param>
                                </action>
                                <action id="-10" name="Set value" sid="121629815921321" type="timeline">
                                    <param id="0" name="Instance variable">initX</param>
                                    <param id="1" name="Value">Self.X</param>
                                </action>
                                <action id="-10" name="Set value" sid="885305055952669" type="timeline">
                                    <param id="0" name="Instance variable">toX</param>
                                    <param id="1" name="Value">Self.X - floor(Self.ImageWidth / 2)</param>
                                </action>
                                <action id="-3" name="Create object" sid="231094248349256" type="System">
                                    <param id="0" name="Object to create">timeClock</param>
                                    <param id="1" name="Layer">&quot;timeline2&quot;</param>
                                    <param id="2" name="X">60</param>
                                    <param id="3" name="Y">50</param>
                                </action>
                            </actions>
                        </event-block>
                    </sub-events>
                </event-block>
                <event-block sid="956586892090718">
                    <conditions>
                        <condition id="0" name="On function" sid="699981427258653" type="Function">
                            <param id="0" name="Name">&quot;time bar show&quot;</param>
                        </condition>
                    </conditions>
                    <actions />
                    <sub-events>
                        <event-block sid="158710088046233">
                            <conditions />
                            <actions>
                                <action id="-15" name="Set visible" sid="882394275793255" type="timeCover">
                                    <param id="0" name="Visibility">1</param>
                                </action>
                                <action id="-15" name="Set visible" sid="279912729247827" type="timeline">
                                    <param id="0" name="Visibility">1</param>
                                </action>
                                <action id="-15" name="Set visible" sid="132516941957119" type="timeClock">
                                    <param id="0" name="Visibility">1</param>
                                </action>
                            </actions>
                        </event-block>
                    </sub-events>
                </event-block>
                <event-block sid="653604860400813">
                    <conditions>
                        <condition id="0" name="On function" sid="698272061843808" type="Function">
                            <param id="0" name="Name">&quot;time bar hide&quot;</param>
                        </condition>
                    </conditions>
                    <actions />
                    <sub-events>
                        <event-block sid="408654026406689">
                            <conditions>
                                <condition id="1" name="Compare parameter" sid="380804643497277" type="Function">
                                    <param id="0" name="Index">0</param>
                                    <param id="1" name="Comparison">4</param>
                                    <param id="2" name="Value">0</param>
                                </condition>
                            </conditions>
                            <actions />
                            <sub-events>
                                <event-block sid="322651785779057">
                                    <conditions>
                                        <condition id="-14" name="Pick by unique ID" sid="321943677708154" type="timeCover">
                                            <param id="0" name="Unique ID">Function.Param(0)</param>
                                        </condition>
                                    </conditions>
                                    <actions>
                                        <action id="-15" name="Set visible" sid="549902590105630" type="timeCover">
                                            <param id="0" name="Visibility">0</param>
                                        </action>
                                    </actions>
                                </event-block>
                            </sub-events>
                        </event-block>
                        <event-block sid="158680463622833">
                            <conditions>
                                <condition id="-22" name="Else" sid="907313503719583" type="System" />
                            </conditions>
                            <actions>
                                <action id="-15" name="Set visible" sid="403173791422916" type="timeCover">
                                    <param id="0" name="Visibility">0</param>
                                </action>
                            </actions>
                        </event-block>
                        <event-block sid="568453886132096">
                            <conditions>
                                <condition id="1" name="Compare parameter" sid="491197428615655" type="Function">
                                    <param id="0" name="Index">1</param>
                                    <param id="1" name="Comparison">4</param>
                                    <param id="2" name="Value">0</param>
                                </condition>
                            </conditions>
                            <actions />
                            <sub-events>
                                <event-block sid="416973442864881">
                                    <conditions>
                                        <condition id="-14" name="Pick by unique ID" sid="585499428917119" type="timeline">
                                            <param id="0" name="Unique ID">Function.Param(1)</param>
                                        </condition>
                                    </conditions>
                                    <actions>
                                        <action id="-15" name="Set visible" sid="145346161610103" type="timeline">
                                            <param id="0" name="Visibility">0</param>
                                        </action>
                                    </actions>
                                </event-block>
                            </sub-events>
                        </event-block>
                        <event-block sid="625553000156855">
                            <conditions>
                                <condition id="-22" name="Else" sid="600125809258540" type="System" />
                            </conditions>
                            <actions>
                                <action id="-15" name="Set visible" sid="219616623848156" type="timeline">
                                    <param id="0" name="Visibility">0</param>
                                </action>
                            </actions>
                        </event-block>
                        <event-block sid="799427985057090">
                            <conditions>
                                <condition id="1" name="Compare parameter" sid="571106264305083" type="Function">
                                    <param id="0" name="Index">2</param>
                                    <param id="1" name="Comparison">4</param>
                                    <param id="2" name="Value">0</param>
                                </condition>
                            </conditions>
                            <actions />
                        </event-block>
                        <event-block sid="872374133504173">
                            <conditions>
                                <condition id="-22" name="Else" sid="120270086082280" type="System" />
                            </conditions>
                            <actions />
                        </event-block>
                        <event-block sid="434428433436322">
                            <conditions>
                                <condition id="1" name="Compare parameter" sid="551466273274759" type="Function">
                                    <param id="0" name="Index">3</param>
                                    <param id="1" name="Comparison">4</param>
                                    <param id="2" name="Value">0</param>
                                </condition>
                            </conditions>
                            <actions />
                            <sub-events>
                                <event-block sid="764255995046928">
                                    <conditions>
                                        <condition id="-14" name="Pick by unique ID" sid="132381213931205" type="timeClock">
                                            <param id="0" name="Unique ID">Function.Param(3)</param>
                                        </condition>
                                    </conditions>
                                    <actions>
                                        <action id="-15" name="Set visible" sid="882085962432531" type="timeClock">
                                            <param id="0" name="Visibility">0</param>
                                        </action>
                                    </actions>
                                </event-block>
                            </sub-events>
                        </event-block>
                        <event-block sid="726335125241729">
                            <conditions>
                                <condition id="-22" name="Else" sid="870444796076811" type="System" />
                            </conditions>
                            <actions>
                                <action id="-15" name="Set visible" sid="835151102671446" type="timeClock">
                                    <param id="0" name="Visibility">0</param>
                                </action>
                            </actions>
                        </event-block>
                        <event-block sid="431918068444292">
                            <conditions />
                            <actions />
                        </event-block>
                    </sub-events>
                </event-block>
                <event-block sid="655604498093677">
                    <conditions>
                        <condition id="0" name="On function" sid="962625551655325" type="Function">
                            <param id="0" name="Name">&quot;time update&quot;</param>
                        </condition>
                    </conditions>
                    <actions />
                    <sub-events>
                        <event-block sid="737068085753363">
                            <conditions>
                                <condition id="-14" name="Compare variable" sid="641230662452872" type="System">
                                    <param id="0" name="Variable">timeCount</param>
                                    <param id="1" name="Comparison">4</param>
                                    <param id="2" name="Value">0</param>
                                </condition>
                                <condition id="-14" name="Compare variable" sid="555516656937901" type="System">
                                    <param id="0" name="Variable">timeStatus</param>
                                    <param id="1" name="Comparison">0</param>
                                    <param id="2" name="Value">0</param>
                                </condition>
                                <condition id="-14" name="Compare variable" sid="233382737632967" type="System">
                                    <param id="0" name="Variable">gameStatus</param>
                                    <param id="1" name="Comparison">0</param>
                                    <param id="2" name="Value">STATUS_PLAYING</param>
                                </condition>
                            </conditions>
                            <actions>
                                <action id="-11" name="Subtract from" sid="746286148473471" type="System">
                                    <param id="0" name="Variable">timeCount</param>
                                    <param id="1" name="Value">dt</param>
                                </action>
                            </actions>
                        </event-block>
                        <event-block sid="865888591552606">
                            <conditions>
                                <condition id="-22" name="Else" sid="465096981587093" type="System" />
                                <condition id="-14" name="Compare variable" sid="997816950193832" type="System">
                                    <param id="0" name="Variable">timeCount</param>
                                    <param id="1" name="Comparison">2</param>
                                    <param id="2" name="Value">0</param>
                                </condition>
                            </conditions>
                            <actions>
                                <action id="-9" name="Set value" sid="926915324442634" type="System">
                                    <param id="0" name="Variable">timeCount</param>
                                    <param id="1" name="Value">0</param>
                                </action>
                            </actions>
                        </event-block>
                        <event-block sid="520331223244541">
                            <conditions />
                            <actions>
                                <action id="0" name="Call function" sid="817438848215666" type="Function">
                                    <param id="0" name="Name">&quot;time bar update&quot;</param>
                                    <param id="1" name="Parameter {n}"></param>
                                </action>
                            </actions>
                        </event-block>
                        <event-block sid="176222005232895">
                            <conditions>
                                <condition id="-14" name="Compare variable" sid="107528154747415" type="System">
                                    <param id="0" name="Variable">timeCount</param>
                                    <param id="1" name="Comparison">3</param>
                                    <param id="2" name="Value">0</param>
                                </condition>
                            </conditions>
                            <actions>
                                <action id="0" name="Call function" sid="873995079985067" type="Function">
                                    <param id="0" name="Name">&quot;main.fsm.request&quot;</param>
                                    <param id="1" name="Parameter {n}"></param>
                                </action>
                            </actions>
                        </event-block>
                        <event-block sid="743483678718553">
                            <conditions>
                                <condition id="-8" name="Compare two values" sid="450544532339886" type="System">
                                    <param id="0" name="First value">timeCount</param>
                                    <param id="1" name="Comparison">3</param>
                                    <param id="2" name="Second value">timeHurryup</param>
                                </condition>
                                <condition id="-4" name="Trigger once while true" sid="160699203410872" type="System" />
                                <condition id="-14" name="Compare variable" sid="190856512610199" type="System">
                                    <param id="0" name="Variable">isPlaiedHurryup</param>
                                    <param id="1" name="Comparison">0</param>
                                    <param id="2" name="Value">0</param>
                                </condition>
                            </conditions>
                            <actions>
                                <action disabled="1" id="0" name="Call function" sid="420787744309273" type="Function">
                                    <param id="0" name="Name">&quot;audio.playByName&quot;</param>
                                    <param id="1" name="Parameter {n}">&quot;hurryup&quot;{###}&quot;hurryupVOTag&quot;</param>
                                </action>
                                <action id="-9" name="Set value" sid="318912201818607" type="System">
                                    <param id="0" name="Variable">isPlaiedHurryup</param>
                                    <param id="1" name="Value">1</param>
                                </action>
                            </actions>
                        </event-block>
                    </sub-events>
                </event-block>
                <comment>update time bar</comment>
                <comment>width: Self.initWidth * Function.Call(&quot;time persent&quot;)</comment>
                <comment>position: Self.toX + (Self.initX - Self.toX) * Function.Call(&quot;time persent&quot;)</comment>
                <event-block sid="698917028795496">
                    <conditions>
                        <condition id="0" name="On function" sid="817199534519425" type="Function">
                            <param id="0" name="Name">&quot;time bar update&quot;</param>
                        </condition>
                    </conditions>
                    <actions>
                        <action id="-5" name="Set width" sid="356148444942031" type="timeline">
                            <param id="0" name="Width">Self.initWidth * Function.Call(&quot;time persent&quot;)</param>
                        </action>
                        <action disabled="1" id="-1" name="Set X" sid="372896251200801" type="timeline">
                            <param id="0" name="X">Self.toX + (Self.initX - Self.toX) * Function.Call(&quot;time persent&quot;)</param>
                        </action>
                    </actions>
                </event-block>
                <comment></comment>
                <event-block sid="775330073639604">
                    <conditions>
                        <condition id="0" name="On function" sid="828205132466276" type="Function">
                            <param id="0" name="Name">&quot;time persent&quot;</param>
                        </condition>
                    </conditions>
                    <actions>
                        <action id="1" name="Set return value" sid="162956291282000" type="Function">
                            <param id="0" name="Value">timeCount / timeCountMax</param>
                        </action>
                    </actions>
                </event-block>
                <comment></comment>
                <event-block sid="720884628705705">
                    <conditions>
                        <condition id="0" name="On function" sid="825561269946015" type="Function">
                            <param id="0" name="Name">&quot;time reset&quot;</param>
                        </condition>
                    </conditions>
                    <actions>
                        <action id="-9" name="Set value" sid="728312402488705" type="System">
                            <param id="0" name="Variable">timeCount</param>
                            <param id="1" name="Value">timeDuration</param>
                        </action>
                        <action id="-9" name="Set value" sid="497783071748405" type="System">
                            <param id="0" name="Variable">timeCountMax</param>
                            <param id="1" name="Value">timeDuration</param>
                        </action>
                        <action id="-9" name="Set value" sid="515922559950968" type="System">
                            <param id="0" name="Variable">timeStatus</param>
                            <param id="1" name="Value">0</param>
                        </action>
                        <action id="-9" name="Set value" sid="785539437988193" type="System">
                            <param id="0" name="Variable">isPlaiedHurryup</param>
                            <param id="1" name="Value">0</param>
                        </action>
                    </actions>
                </event-block>
                <event-block sid="125760209963965">
                    <conditions>
                        <condition id="0" name="On function" sid="211266542775139" type="Function">
                            <param id="0" name="Name">&quot;time pause&quot;</param>
                        </condition>
                    </conditions>
                    <actions>
                        <action id="-9" name="Set value" sid="197606285575863" type="System">
                            <param id="0" name="Variable">timeStatus</param>
                            <param id="1" name="Value">1</param>
                        </action>
                    </actions>
                </event-block>
                <event-block sid="382626093740443">
                    <conditions>
                        <condition id="0" name="On function" sid="357881963233269" type="Function">
                            <param id="0" name="Name">&quot;time resume&quot;</param>
                        </condition>
                    </conditions>
                    <actions>
                        <action id="-9" name="Set value" sid="331887954886759" type="System">
                            <param id="0" name="Variable">timeStatus</param>
                            <param id="1" name="Value">0</param>
                        </action>
                    </actions>
                </event-block>
                <comment></comment>
                <event-block sid="452824448550071">
                    <conditions>
                        <condition id="0" name="On function" sid="982376877897879" type="Function">
                            <param id="0" name="Name">&quot;time reduce&quot;</param>
                        </condition>
                    </conditions>
                    <actions />
                    <sub-events>
                        <event-block sid="992494132860548">
                            <conditions />
                            <actions>
                                <action id="-11" name="Subtract from" sid="131425645379968" type="System">
                                    <param id="0" name="Variable">timeCount</param>
                                    <param id="1" name="Value">SUBSRACTVAL</param>
                                </action>
                                <action id="-3" name="Create object" sid="446758161980066" type="System">
                                    <param id="0" name="Object to create">timeText</param>
                                    <param id="1" name="Layer">timeline.LayerName</param>
                                    <param id="2" name="X">timeline.X + floor(timeline.Width / 2)</param>
                                    <param id="3" name="Y">timeline.Y - 10</param>
                                </action>
                                <action id="0" name="Set text" sid="515503664971598" type="timeText">
                                    <param id="0" name="Text">&quot;-&quot; &amp; subsractVal</param>
                                </action>
                            </actions>
                        </event-block>
                    </sub-events>
                </event-block>
                <event-block sid="261315165462227">
                    <conditions>
                        <condition id="-18" name="On created" sid="314467072761730" type="timeText" />
                    </conditions>
                    <actions>
                        <action behavior="LiteTween" id="3" name="Set target" sid="665498922999322" type="timeText">
                            <param id="0" name="Target is">0</param>
                            <param id="1" name="Relativity">0</param>
                            <param id="2" name="Value">Self.X</param>
                        </action>
                        <action behavior="LiteTween" id="3" name="Set target" sid="196824652958623" type="timeText">
                            <param id="0" name="Target is">1</param>
                            <param id="1" name="Relativity">0</param>
                            <param id="2" name="Value">Self.Y - 60</param>
                        </action>
                        <action behavior="LiteTween" id="10" name="Start" sid="515188959388024" type="timeText">
                            <param id="0" name="Start Mode">0</param>
                            <param id="1" name="Force use current">1</param>
                        </action>
                        <action behavior="Fade" id="1" name="Start fade" sid="429497960749816" type="timeText" />
                    </actions>
                </event-block>
            </sub-events>
        </event-group>
    </events>
</c2eventsheet>
